summaryrefslogtreecommitdiffstats
path: root/source/l/libwnck/libwnck.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libwnck/libwnck.SlackBuild')
-rwxr-xr-xsource/l/libwnck/libwnck.SlackBuild7
1 files changed, 4 insertions, 3 deletions
diff --git a/source/l/libwnck/libwnck.SlackBuild b/source/l/libwnck/libwnck.SlackBuild
index 982b40527..fba402933 100755
--- a/source/l/libwnck/libwnck.SlackBuild
+++ b/source/l/libwnck/libwnck.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,6 +21,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+PKGNAM=libwnck
VERSION=${VERSION:-$(echo libwnck-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
@@ -58,7 +59,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf libwnck-$VERSION
-tar xvf $CWD/libwnck-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/libwnck-$VERSION.tar.?z* || exit 1
cd libwnck-$VERSION
chown -R root:root .
find . \
@@ -84,7 +85,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
mkdir -p $PKG/usr/doc/libwnck-$VERSION
cp -a \
- AUTHORS COPYING* NEWS README \
+ AUTHORS COPYING* NEWS README* \
$PKG/usr/doc/libwnck-$VERSION
# If there's a ChangeLog, installing at least part of the recent history